extern crate um;
use um::instruction::{Instruction, ParsingError};

fn main() {
  let i = Instruction::parse(0x81234567);
  match i {
    Ok(x) => println!("Ins {:?}!", x.fmt()),
    Err(ParsingError) => println!("OOPS")
  }
}
